Index: trunk/Platforms/Test/data/x2_w1_5/Test_x003.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_5/Test_x003.cfg	(revision 123)
+++ trunk/Platforms/Test/data/x2_w1_5/Test_x003.cfg	(revision 124)
@@ -1,6 +1,6 @@
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.sim
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.gen
-../../IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
-../../Softwares/Test/Test_x003/bin/soft.x
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x003/bin/soft.x
 0
 0
Index: trunk/Platforms/Test/data/x2_w1_5/Test_x004.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_5/Test_x004.cfg	(revision 123)
+++ trunk/Platforms/Test/data/x2_w1_5/Test_x004.cfg	(revision 124)
@@ -1,6 +1,6 @@
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.sim
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.gen
-../../IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
-../../Softwares/Test/Test_x004/bin/soft.x
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x004/bin/soft.x
 0
 0
Index: trunk/Platforms/Test/data/x2_w1_5/Test_x005.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_5/Test_x005.cfg	(revision 123)
+++ trunk/Platforms/Test/data/x2_w1_5/Test_x005.cfg	(revision 124)
@@ -1,6 +1,6 @@
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.sim
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.gen
-../../IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
-../../Softwares/Test/Test_x005/bin/soft.x
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x005/bin/soft.x
 0
 0
Index: trunk/Platforms/Test/data/x2_w1_5/Test_x006.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_5/Test_x006.cfg	(revision 123)
+++ trunk/Platforms/Test/data/x2_w1_5/Test_x006.cfg	(revision 124)
@@ -1,6 +1,6 @@
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.sim
-../../IPs/systemC/processor/Morpheo/Files/Morpheo.gen
-../../IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
-../../Softwares/Test/Test_x006/bin/soft.x
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x006/bin/soft.x
 0
 0
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x000.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x000.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x000.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x000/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x001.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x001.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x001.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x001/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x002.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x002.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x002.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x002/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x003.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x003.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x003.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x003/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x004.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x004.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x004.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x004/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x005.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x005.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x005.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x005/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x2_w1_6/Test_x006.cfg
===================================================================
--- trunk/Platforms/Test/data/x2_w1_6/Test_x006.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x2_w1_6/Test_x006.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x006/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x000.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x000.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x000.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x000/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x001.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x001.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x001.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x001/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x002.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x002.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x002.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x002/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x003.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x003.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x003.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x003/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x004.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x004.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x004.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x004/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x005.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x005.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x005.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x005/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w4_1/Test_x006.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w4_1/Test_x006.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w4_1/Test_x006.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w4_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x006/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x000.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x000.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x000.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x000/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x001.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x001.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x001.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x001/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x002.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x002.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x002.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x002/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x003.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x003.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x003.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x003/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x004.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x004.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x004.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x004/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x005.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x005.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x005.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x005/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/data/x4_w8_1/Test_x006.cfg
===================================================================
--- trunk/Platforms/Test/data/x4_w8_1/Test_x006.cfg	(revision 124)
+++ trunk/Platforms/Test/data/x4_w8_1/Test_x006.cfg	(revision 124)
@@ -0,0 +1,8 @@
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
+${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
+${MORPHEO_TOPLEVEL}/Softwares/Test/Test_x006/bin/soft.x
+0
+0
+4096
+2
Index: trunk/Platforms/Test/src/test.cpp
===================================================================
--- trunk/Platforms/Test/src/test.cpp	(revision 123)
+++ trunk/Platforms/Test/src/test.cpp	(revision 124)
@@ -493,22 +493,33 @@
   cerr << "<test> Simulation Start" << endl;
 
-  Time * _time_global = new Time();
-
-  for (uint32_t i=0; i<morpheo->_nb_thread; ++i)
-    INTERRUPT_ENABLE[i]->write(0);
-
-  NRESET->write(0);
-  SC_START(5);
-  NRESET->write(1);  
-
-  // Infinite loop
-  do
-    {
-//       Time * _time_local = new Time();
-      SC_START(100000);
-//       delete _time_local;
-    } while (not morpheo    ->simulation_end() and // morpheo condition stop
-             not environment->simulation_end());   // test ok
-  delete _time_global;
+  bool morpheo_error = false;
+  try 
+    {
+      Time * _time_global = new Time();
+      
+      for (uint32_t i=0; i<morpheo->_nb_thread; ++i)
+        INTERRUPT_ENABLE[i]->write(0);
+      
+      NRESET->write(0);
+      SC_START(5);
+      NRESET->write(1);  
+      
+      // Infinite loop
+      do
+        {
+          //       Time * _time_local = new Time();
+          SC_START(100000);
+          //       delete _time_local;
+        } while (not morpheo    ->simulation_end() and // morpheo condition stop
+                 not environment->simulation_end());   // test ok
+      delete _time_global;
+    }
+  catch (morpheo::ErrorMorpheo & error)
+    {
+      std::cerr << error.what() << std::endl
+                << STR_KO << std::endl;
+
+      morpheo_error = true;
+    }
 
   bool morpheo_end     = morpheo->simulation_end();
@@ -626,19 +637,25 @@
 
   bool test_ok = false;
-  if (not morpheo_end and not environment_end)
-    {
-      cerr << "<test> Simulation End : Unknow" << endl;
-    }
-  else
-    {
-      if (morpheo_end)
-        cout << "<test> Simulation End : MORPHEO" << endl;
-      if (environment_end)
+  if (not morpheo_error)
+    {
+      if (not morpheo_end and not environment_end)
         {
-          cout << "<test> Simulation End : ENVIRONMENT" << endl;
-          test_ok = true;
+          cerr << "<test> Simulation End : Unknow" << endl;
         }
-    }
-      
+      else
+        {
+          if (morpheo_end)
+            {
+              cout << "<test> Simulation End : MORPHEO" << endl;
+              test_ok = true;
+            }
+          if (environment_end)
+            {
+              cout << "<test> Simulation End : ENVIRONMENT" << endl;
+              test_ok = true;
+            }
+        }
+    }
+
   if (test_ok)
     {
Index: trunk/Softwares/Dhrystone/src/c/main.c
===================================================================
--- trunk/Softwares/Dhrystone/src/c/main.c	(revision 123)
+++ trunk/Softwares/Dhrystone/src/c/main.c	(revision 124)
@@ -12,5 +12,5 @@
 int main()
 {
-  dhry21(10);
+  dhry21(1000);
     
   exit (0);
Index: trunk/Softwares/Makefile.Software
===================================================================
--- trunk/Softwares/Makefile.Software	(revision 123)
+++ trunk/Softwares/Makefile.Software	(revision 124)
@@ -71,13 +71,11 @@
 vpath   %.x     $(DIR_BIN)
 
-all 				:
+all 				: $(DIR_BIN)/$(EXE).x
+
+$(DIR_BIN)/%.x		        : $(DIR_BIN) $(DIR_OBJ)
 				@\
-				$(MKDIR) $(DIR_BIN) $(DIR_OBJ);                 \
-				$(MAKE)  $(DIR_BIN)/$(EXE).x;
-
-$(DIR_BIN)/%.x		        : $(OBJECTS)
-				@\
+				$(MAKE) $(OBJECTS);                             \
 				$(ECHO) "Linkage            : $*.x";		\
-				$(OR32_LD) -o $@ $^ $(OR32_LD_OPT);		\
+				$(OR32_LD) -o $@ $(OBJECTS) $(OR32_LD_OPT);	\
 				$(ECHO) "List symbols       : $*.x.nm";		\
 				$(OR32_NM)      $(OR32_NM_OPT)      $@ > $@.nm;	\
@@ -98,9 +96,13 @@
 #				$(OR32_CC) $(OR32_CC_OPT)  -S -o $@.s -c $^ ;
 
+$(DIR_BIN) $(DIR_OBJ)           :
+				@\
+				$(MKDIR) $@;
+
 #-----[ Maintenance ]-------------------------------------------------------------
 clean 				:
 				@\
 				$(ECHO) "Delete     temporary files";		\
-				$(RM)   $(DIR_OBJ) $(DIR_BIN)	\
+				$(RM)   $(DIR_OBJ)              \
 					*~		        \
 					$(DIR_SRC)/*~	        \
@@ -112,4 +114,5 @@
 
 clean_all                       : clean
+				$(RM)   $(DIR_BIN)
 
 #-----[ Help ]--------------------------------------------------------------------
